#ifndef _circle_h
#define _circle_h

class Circle
{
public:
        virtual int create(unsigned int size) = 0;

	virtual int insert(struct logbits lb) = 0;

	virtual int walk(struct logbits **lb) = 0;

        virtual time_t oldest(void) = 0;

	virtual void updatestats(void) = 0;

	virtual long long getreqcount(void) = 0;
	virtual long long getbytecount(void) = 0;

	virtual long long getsummary(int r_c) = 0;
};

#endif

